org.jboss.netty.logging

## Class OsgiLoggerFactory

- java.lang.Object
- - org.jboss.netty.logging.InternalLoggerFactory
  - - org.jboss.netty.logging.OsgiLoggerFactory

    public class OsgiLoggerFactory
    extends InternalLoggerFactory

Logger factory which creates an OSGi `LogService` logger.

### Constructor Summary

Constructors
Constructor and Description
`OsgiLoggerFactory(BundleContext ctx)`
`OsgiLoggerFactory(BundleContext ctx, InternalLoggerFactory fallback)`

### Method Summary

Methods
`void` `destroy()`
`InternalLoggerFactory` `getFallback()`
`org.osgi.service.log.LogService` `getLogService()`
`InternalLogger` `newInstance(String name)` Creates a new logger instance with the specified name.

### Methods inherited from class org.jboss.netty.logging.InternalLoggerFactory

`getDefaultFactory, getInstance, getInstance, setDefaultFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OsgiLoggerFactory

    public OsgiLoggerFactory(BundleContext ctx)

#### OsgiLoggerFactory

    public OsgiLoggerFactory(BundleContext ctx,
                     InternalLoggerFactory fallback)

### Method Detail

#### getFallback

    public InternalLoggerFactory getFallback()

#### getLogService

    public org.osgi.service.log.LogService getLogService()

#### destroy

    public void destroy()

#### newInstance

    public InternalLogger newInstance(String name)

Description copied from class: `InternalLoggerFactory`
Creates a new logger instance with the specified name.

Specified by:
  `newInstance` in class `InternalLoggerFactory`